<?php

namespace App\Providers\ProvidersDistribution\ProvidersDistributionList;

use App\Providers\ExcelReport\ExcelReport;

class ProvidersDistributionListReport
{

    public function exportToExcel(array $data, array $toursList = [], array $countriesList = [])
    {
        $report = new ExcelReport();

        $report->exportToExcel(
            [$data],
            (object)[
                'title' => 'DISTRIBUCION DE PROVEEDORES',
                'rowLength' => 1
            ],
            [
                new ProvidersDistributionListCells($toursList, $countriesList),
            ],
        );
    }
}
